Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jorphan.gui
Class JLabeledTextField

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      org.apache.jorphan.gui.JLabeledTextField

All Implemented Interfaces:
  Accessible, EventListener, FocusListener, ImageObserver, JLabeledField, MenuContainer, Serializable

Direct Known Subclasses:
  JLabeledPasswordField

public class JLabeledTextField
extends JPanel
implements JLabeledField, FocusListener

A Helper component that wraps a JTextField with a label into a JPanel (this). This component also has an efficient event handling mechanism for handling the text changing in the Text Field. The registered change listeners are only called when the text has changed.

Version:
  $Revision: 773157 $
See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JLabeledTextField()` Default constructor, The label and the Text field are left empty.
`JLabeledTextField(String pLabel)` Constructs a new component with the label displaying the passed text.
`JLabeledTextField(String pLabel, Color bk)`
`JLabeledTextField(String pLabel, int size)`

Method Summary
`void` | `addChangeListener(ChangeListener pChangeListener)` Adds a change listener, that will be notified when the text in the text field is changed.
`protected JTextField` | `createTextField(int size)`
`void` | `focusGained(FocusEvent pFocusEvent)` Catch what the value was when focus was gained.
`void` | `focusLost(FocusEvent pFocusEvent)` Callback method when the focus to the Text Field component is lost.
`List` | `getComponentList()`
`String` | `getLabel()` Returns the text of the label.
`String` | `getText()` Returns the text in the Text Field.
`String` | `getToolTipText()` Returns the tooltip string that has been set with setToolTipText
`protected void` | `notifyChangeListeners()` Notify all registered change listeners that the text in the text field has changed.
`void` | `removeChangeListener(ChangeListener pChangeListener)` Removes a change listener.
`void` | `setEnabled(boolean enable)`
`void` | `setLabel(String pLabel)` Set the text displayed in the label.
`void` | `setText(String pText)` Set the text displayed in the Text Field.
`void` | `setToolTipText(String text)` Registers the text to display in a tool tip.

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JLabeledTextField

    public JLabeledTextField()

  Default constructor, The label and the Text field are left empty.

### JLabeledTextField

    public JLabeledTextField(String pLabel)

  Constructs a new component with the label displaying the passed text.

Parameters:
  `pLabel` - The text to in the label.

### JLabeledTextField

    public JLabeledTextField(String pLabel,
                             int size)

### JLabeledTextField

    public JLabeledTextField(String pLabel,
                             Color bk)

Method Detail

### getComponentList

    public List getComponentList()

  Specified by:
    `getComponentList` in interface `JLabeledField`

### setEnabled

    public void setEnabled(boolean enable)

### createTextField

    protected JTextField createTextField(int size)

### focusLost

    public void focusLost(FocusEvent pFocusEvent)

  Callback method when the focus to the Text Field component is lost.

  Specified by:
    `focusLost` in interface `FocusListener`
  Parameters:
    `pFocusEvent` - The focus event that occured.

### focusGained

    public void focusGained(FocusEvent pFocusEvent)

  Catch what the value was when focus was gained.

  Specified by:
    `focusGained` in interface `FocusListener`

### setLabel

    public void setLabel(String pLabel)

  Set the text displayed in the label.

  Specified by:
    `setLabel` in interface `JLabeledField`
  Parameters:
    `pLabel` - The new label text.

### setText

    public void setText(String pText)

  Set the text displayed in the Text Field.

  Specified by:
    `setText` in interface `JLabeledField`
  Parameters:
    `pText` - The new text to display in the text field.

### getText

    public String getText()

  Returns the text in the Text Field.

  Specified by:
    `getText` in interface `JLabeledField`
  Returns:
    The text in the Text Field.

### getLabel

    public String getLabel()

  Returns the text of the label.

  Returns:
    The text of the label.

### setToolTipText

    public void setToolTipText(String text)

  Registers the text to display in a tool tip. The text displays when the cursor lingers over the component.

  Parameters:
    `text` - the string to display; if the text is null, the tool tip is turned off for this component

### getToolTipText

    public String getToolTipText()

  Returns the tooltip string that has been set with setToolTipText

  Returns:
    the text of the tool tip

### addChangeListener

    public void addChangeListener(ChangeListener pChangeListener)

  Adds a change listener, that will be notified when the text in the text field is changed. The ChangeEvent that will be passed to registered listeners will contain this object as the source, allowing the new text to be extracted using the `getText` method.

  Specified by:
    `addChangeListener` in interface `JLabeledField`
  Parameters:
    `pChangeListener` - The listener to add

### removeChangeListener

    public void removeChangeListener(ChangeListener pChangeListener)

  Removes a change listener.

  Parameters:
    `pChangeListener` - The change listener to remove.

### notifyChangeListeners

    protected void notifyChangeListeners()

  Notify all registered change listeners that the text in the text field has changed.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.